'************************************************
' File:    Outlook SendMail.vbs
' Autore:  Giovanni Cenati Reventlov at katamail com
' http://digilander.libero.it/Cenati
' Codice vbs liberamente utilizzabile citando il sito.
'************************************************
'Outlook SendMail.vbs
'Versione VBS di un programma gi in Visual Basic 5, gi modificato
'per l'uso con un oggetto COM e ora per appoggiarsi al modello ad oggetti
'di Microsoft Outlook 
'Nella cartella corrente ci sono dei files txt contenenti messaggi di
'posta elettronica. Le prime righe di ogni file contengono rispettivamente :
'1) Indirizzo e-mail del destinatario
'2) Oggetto del messaggio.
'Le righe successive contengono il corpo del messaggio.
'Il programma utilizza l'oggetto COM di Outlook (non express)
'Apre ogni file e se  un messaggio (la prima riga contiene una "@"), lo invia.
'[c] Cenati Giovanni 08.06.02  
'Modificato 19.09.03 per outlook
'This script looks for txt files in current (script) directory and
'if they are message files (with a valid e-mail address in the first line)
'sends the message using outlook (not express).
'The txt file must contain:
'In first line a valid e-mail address of the recipient
'In the second line the subject of the message
'From the third line to the end of file, the body of the message.

dim fso    'as filesystemobject
dim objOL  'as Outlook application
dim CartellaPosta 
	'oggetto directory dove ci sono i messaggi in formato testo
	'Directory where to look for the messages.
dim Messaggi 
	'collezione di files in CartellaPosta. Collection of files in the folder.
dim FileMsg 
	'oggetto file trovato in CartellaPosta. Single file object in the folder
dim Messaggio 
	'file aperto in lettura contenente l'E-Mail. File openend to read the message
dim ContaMail 
	'numero di messaggi e-mail spediti. Number of sent e-Mails

'Crea istanza agli oggetti necessari al programma
'Creates needed objects
set fso = CreateObject("Scripting.FileSystemObject")	
Set objOL = CreateObject("Outlook.Application")

'Ottiene la directory dove  situato script 
'Retrieves script directory
ScriptFullName =wscript.ScriptFullName 
CurrentPath = Left(ScriptFullName, InStrRev(scriptfullname, "\")-1)

'Recupera tutti i files della directory
'Sets folder where to look for messages and reads all files
set CartellaPosta = fso.GetFolder(CurrentPath)
Set Messaggi = CartellaPosta.Files

For Each FileMsg in Messaggi 'Processa ogni file della cartella
	if ucase(right(FileMsg,4))=".TXT" then
		'se  un txt... If it's a txt...
		Set f = fso.GetFile(FileMsg)	'Ne recupera il nome
		Set Messaggio = f.OpenAsTextStream 'Apre il file
  		'Legge le righe del file contenenti le intestazioni del messaggio e-mail
		EmailDestinatario = Cstr(Messaggio.readline) 
		'Prima riga: indirizzo e-mail del destinatario 
		'First line: destination e-mail address
		Oggetto = Cstr(Messaggio.readline) 
		'Seconda riga: Oggetto del messaggio
		'Second line: subject
		Body= "" 
		'Svuota la variabile e legge tutte le righe del corpo del messaggio.
		'Empty the variable which will contain the body of the message.
		Do While not Messaggio.AtEndOfStream 
			Body = Body & Messaggio.ReadLine & vbcrlf
		Loop
		Messaggio.Close	'Chiude il file contenente il messaggio

   		'Controllo validit dati. Control of e-mail address
		'Se l'indirizzo del mittente non  una e-mail passa al prossimo messaggio.
		if instr(1,EmailDestinatario, "@")>1 and instr(1,EmailDestinatario,".")>1 then  
			'Invia il messaggio. Sends the message
			Set objMSG = objOL.CreateItem(0) 'Crea nuovo messaggio. Creates new message.
			With objMSG
				.Subject = Oggetto
				.To = EmailDestinatario
				.Body = Body
				.Send
			End With
			ContaMail = ContaMail +1  'Conta messaggi inviati. Counts messages sent.
		end if ' e-mail?
	end if ' TXT?
Next 'File

Report = "Files: " & Messaggi.count & chr(13)
report = report & "Messaggi e-mail: " & ContaMail & chr(13)
report = report & "Fine Programma" 
msgbox report ,,"Outlook Send Mail  by Cenati Giovanni"